------ All content © 2008 DigiPen (USA) Corporation, all rights reserved. ------
-- Author: Ian Eller
-- Updated: 03/11/2008, ice

dofile( "../../Assets/Scripts/key_name_mappings.lua" )

local visible = false
while( 1 ) 
do
  coroutine.yield()

  --[[
  if( Global:IsTriggered( key_names_to_values( "F2" ) ) ) 
  then
    visible = not visible
  
  end
  --]]
  
  if( visible ) 
  then
    local text = Global:FPS()
    Entity:VIS_SetText( tostring( text ) )
    
  else
    Entity:VIS_SetText( "" )
    
  end
  
end